com.impinj.octane

## Enum QtPersistence

- java.lang.Object
- - java.lang.Enum<QtPersistence>
  - - com.impinj.octane.QtPersistence

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QtPersistence>

      public enum QtPersistence
      extends java.lang.Enum<QtPersistence>

  Enumeration used to determine whether the QT set command should persist

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Permanent` Qt settings apply permanently
    `Temporary` Qt settings applies only temporarily until the tag loses power
    `Unknown` Lave the persistence as-is

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static QtPersistence` | `valueOf(int qtPersistenceValue)`
    `static QtPersistence` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QtPersistence[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final QtPersistence Unknown

      Lave the persistence as-is

    - #### Temporary

          public static final QtPersistence Temporary

      Qt settings applies only temporarily until the tag loses power

    - #### Permanent

          public static final QtPersistence Permanent

      Qt settings apply permanently

  - ### Method Detail

    - #### values

          public static QtPersistence[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QtPersistence c : QtPersistence.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QtPersistence valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static QtPersistence valueOf(int qtPersistenceValue)

      Parameters:
        `qtPersistenceValue` - integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration